## org.apache.poi.hssf.usermodel
Class HSSFTextbox

    java.lang.Object
      org.apache.poi.hssf.usermodel.HSSFShape
          org.apache.poi.hssf.usermodel.HSSFSimpleShape
              org.apache.poi.hssf.usermodel.HSSFTextbox

public class HSSFTextbox
extends HSSFSimpleShape

A textbox is a shape that may hold a rich text string.

Author:
  Glen Stampoultzis (glens at apache.org)

Field Summary
`static short` `OBJECT_TYPE_TEXT`

Fields inherited from class org.apache.poi.hssf.usermodel.HSSFSimpleShape
`OBJECT_TYPE_LINE, OBJECT_TYPE_OVAL, OBJECT_TYPE_RECTANGLE`

Fields inherited from class org.apache.poi.hssf.usermodel.HSSFShape
`LINESTYLE_DASHDOTDOTSYS, LINESTYLE_DASHDOTGEL, LINESTYLE_DASHDOTSYS, LINESTYLE_DASHGEL, LINESTYLE_DASHSYS, LINESTYLE_DOTGEL, LINESTYLE_DOTSYS, LINESTYLE_LONGDASHDOTDOTGEL, LINESTYLE_LONGDASHDOTGEL, LINESTYLE_LONGDASHGEL, LINESTYLE_NONE, LINESTYLE_SOLID, LINEWIDTH_DEFAULT, LINEWIDTH_ONE_PT`

Constructor Summary
`HSSFTextbox(HSSFShape parent, HSSFAnchor anchor)` Construct a new textbox with the given parent and anchor.

Method Summary
`int` `getMarginBottom()` Gets the bottom margin within the textbox.
`int` `getMarginLeft()`
`int` `getMarginRight()`
`int` `getMarginTop()`
`HSSFRichTextString` `getString()`
`void` `setMarginBottom(int marginBottom)` Sets the bottom margin within the textbox.
`void` `setMarginLeft(int marginLeft)` Sets the left margin within the textbox.
`void` `setMarginRight(int marginRight)` Sets the right margin within the textbox.
`void` `setMarginTop(int marginTop)` Sets the top margin within the textbox.
`void` `setString(HSSFRichTextString string)`

Methods inherited from class org.apache.poi.hssf.usermodel.HSSFSimpleShape
`getShapeType, setShapeType`

Methods inherited from class org.apache.poi.hssf.usermodel.HSSFShape
`countOfAllChildren, getAnchor, getFillColor, getLineStyle, getLineStyleColor, getLineWidth, getParent, isNoFill, setAnchor, setFillColor, setFillColor, setLineStyle, setLineStyleColor, setLineStyleColor, setLineWidth, setNoFill`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### OBJECT_TYPE_TEXT

    public static final short OBJECT_TYPE_TEXT

See Also:
  Constant Field Values

Constructor Detail

### HSSFTextbox

    public HSSFTextbox(HSSFShape parent,
                       HSSFAnchor anchor)

  Construct a new textbox with the given parent and anchor.

Parameters:
  `parent` -
  `anchor` - One of HSSFClientAnchor or HSSFChildAnchor

Method Detail

### getString

    public HSSFRichTextString getString()

  Returns:
    the rich text string for this textbox.

### setString

    public void setString(HSSFRichTextString string)

  Parameters:
    `string` - Sets the rich text string used by this object.

### getMarginLeft

    public int getMarginLeft()

  Returns:
    Returns the left margin within the textbox.

### setMarginLeft

    public void setMarginLeft(int marginLeft)

  Sets the left margin within the textbox.

### getMarginRight

    public int getMarginRight()

  Returns:
    returns the right margin within the textbox.

### setMarginRight

    public void setMarginRight(int marginRight)

  Sets the right margin within the textbox.

### getMarginTop

    public int getMarginTop()

  Returns:
    returns the top margin within the textbox.

### setMarginTop

    public void setMarginTop(int marginTop)

  Sets the top margin within the textbox.

### getMarginBottom

    public int getMarginBottom()

  Gets the bottom margin within the textbox.

### setMarginBottom

    public void setMarginBottom(int marginBottom)

  Sets the bottom margin within the textbox.

Copyright © 2003 Apache Software Foundation.